DATA example8_7;
DO smoke=0 TO 1;
DO gene=0 TO 1;
DO y=0 TO 2;
INPUT F@@;
OUTPUT;
END;
END;
END;
CARDS;
26	11	5
7	9	14
41	21	13
10	15	29
;
PROC SORT;
BY descending y;                    /*descending选项将y从大到小排序*/
RUN;
PROC CATMOD order=data;
/*由于proc sort命令将因变量顺序变成了2、1、0，因此order=data选项表示按数据中的次序即2、1、0排序*/
WEIGHT f;
DIRECT smoke;        /*表明将smoke作为一个连续变量，实际上就是1与0相比*/
MODEL y=smoke;
RUN;
